org.apache.pdfbox.preflight.xobject

## Interface XObjectValidator

All Known Implementing Classes:
  AbstractXObjValidator, XObjFormValidator, XObjImageValidator, XObjPostscriptValidator

    public interface XObjectValidator

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `validate()` Process the validation of the XObject.

### Method Detail

#### validate

    void validate()
           throws ValidationException

Process the validation of the XObject.

Throws:
  `ValidationException`